<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__sdp" kind="group">
    <compoundname>sdp</compoundname>
    <title>Service Discovery Protocol (SDP)</title>
    <innerclass prot="public" refid="structwiced__bt__sdp__discovery__attribute__value__t">wiced_bt_sdp_discovery_attribute_value_t</innerclass>
    <innerclass prot="public" refid="structwiced__bt__sdp__discovery__attribute__t">wiced_bt_sdp_discovery_attribute_t</innerclass>
    <innerclass prot="public" refid="structwiced__bt__sdp__discovery__record__t">wiced_bt_sdp_discovery_record_t</innerclass>
    <innerclass prot="public" refid="structwiced__bt__sdp__discovery__db__t">wiced_bt_sdp_discovery_db_t</innerclass>
    <innerclass prot="public" refid="structwiced__bt__sdp__protocol__elem__t">wiced_bt_sdp_protocol_elem_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__sdp_1ga93c6f8c9d0b76ab42e67a9f2d0dec328" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>wiced_bt_sdp_result_t</name>
        <enumvalue id="group__sdp_1gga93c6f8c9d0b76ab42e67a9f2d0dec328a8977101f17e1245da9a2704c32ad53a4" prot="public">
          <name>WICED_BT_SDP_SUCCESS</name>
          <initializer>= WICED_BT_SUCCESS</initializer>
          <briefdescription>
<para>SDP - Result: Success. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__sdp_1gga93c6f8c9d0b76ab42e67a9f2d0dec328af6a1304636c94964b376a41ef8e45f4b" prot="public">
          <name>WICED_BT_SDP_INVALID_VERSION</name>
          <initializer>= 0x0001</initializer>
          <briefdescription>
<para>SDP - invalid version. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__sdp_1gga93c6f8c9d0b76ab42e67a9f2d0dec328a226a15886664ae9e82185e78b2709e8d" prot="public">
          <name>WICED_BT_SDP_INVALID_SERV_REC_HDL</name>
          <initializer>= 0x0002</initializer>
          <briefdescription>
<para>SDP - invalid service record. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__sdp_1gga93c6f8c9d0b76ab42e67a9f2d0dec328a3a85d487ecbcbcca35b3223ecfa8ba4a" prot="public">
          <name>WICED_BT_SDP_INVALID_REQ_SYNTAX</name>
          <initializer>= 0x0003</initializer>
          <briefdescription>
<para>SDP - invalid request syntax. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__sdp_1gga93c6f8c9d0b76ab42e67a9f2d0dec328a42043463c14a7aed815f64872f8e45ae" prot="public">
          <name>WICED_BT_SDP_INVALID_PDU_SIZE</name>
          <initializer>= 0x0004</initializer>
          <briefdescription>
<para>SDP - invalid PDU size. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__sdp_1gga93c6f8c9d0b76ab42e67a9f2d0dec328aea759acbfcda6995c073834aadc99d6f" prot="public">
          <name>WICED_BT_SDP_INVALID_CONT_STATE</name>
          <initializer>= 0x0005</initializer>
          <briefdescription>
<para>SDP - invalid controller state. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__sdp_1gga93c6f8c9d0b76ab42e67a9f2d0dec328a2ecbb604d4a0ab697e4f8098ca79a5eb" prot="public">
          <name>WICED_BT_SDP_NO_RESOURCES</name>
          <initializer>= 0x0006</initializer>
          <briefdescription>
<para>SDP - no resources. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__sdp_1gga93c6f8c9d0b76ab42e67a9f2d0dec328afca7615cbd8494de228cfb3307beb0aa" prot="public">
          <name>WICED_BT_SDP_DI_REG_FAILED</name>
          <initializer>= 0x0007</initializer>
          <briefdescription>
<para>SDP - registration failed. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__sdp_1gga93c6f8c9d0b76ab42e67a9f2d0dec328a3c2252d8f8f285126f416b054fec96ca" prot="public">
          <name>WICED_BT_SDP_DI_DISC_FAILED</name>
          <initializer>= 0x0008</initializer>
          <briefdescription>
<para>SDP - discovery failed. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__sdp_1gga93c6f8c9d0b76ab42e67a9f2d0dec328a2beb4c28604bac144ee0e9d0b2f84fed" prot="public">
          <name>WICED_BT_SDP_NO_DI_RECORD_FOUND</name>
          <initializer>= 0x0009</initializer>
          <briefdescription>
<para>SDP - no record found. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__sdp_1gga93c6f8c9d0b76ab42e67a9f2d0dec328ac850191f4fde0f346f9fc912422c12dd" prot="public">
          <name>WICED_BT_SDP_ERR_ATTR_NOT_PRESENT</name>
          <initializer>= 0x000A</initializer>
          <briefdescription>
<para>SDP - no attribute present. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__sdp_1gga93c6f8c9d0b76ab42e67a9f2d0dec328a5225888457294a62a236e1abe0caa87e" prot="public">
          <name>WICED_BT_SDP_ILLEGAL_PARAMETER</name>
          <initializer>= 0x000B</initializer>
          <briefdescription>
<para>SDP - Illegal parameter. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__sdp_1gga93c6f8c9d0b76ab42e67a9f2d0dec328abecee3babd4dc41c85cb6546aa09c815" prot="public">
          <name>WICED_BT_SDP_NO_RECS_MATCH</name>
          <initializer>= 0xFFF0</initializer>
          <briefdescription>
<para>SDP - No records match. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__sdp_1gga93c6f8c9d0b76ab42e67a9f2d0dec328a0112e9137a7447efcbfa03eeb7e31a49" prot="public">
          <name>WICED_BT_SDP_CONN_FAILED</name>
          <initializer>= 0xFFF1</initializer>
          <briefdescription>
<para>SDP - Connection failed. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__sdp_1gga93c6f8c9d0b76ab42e67a9f2d0dec328a0e441205b20cc13da23016c9ecaed01e" prot="public">
          <name>WICED_BT_SDP_CFG_FAILED</name>
          <initializer>= 0xFFF2</initializer>
          <briefdescription>
<para>SDP - Configuration failed. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__sdp_1gga93c6f8c9d0b76ab42e67a9f2d0dec328ab5275ca69704e416c23b749727bf464d" prot="public">
          <name>WICED_BT_SDP_GENERIC_ERROR</name>
          <initializer>= 0xFFF3</initializer>
          <briefdescription>
<para>SDP - Generic error. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__sdp_1gga93c6f8c9d0b76ab42e67a9f2d0dec328aadb073e6f55f7d242db1ed87adb19ebd" prot="public">
          <name>WICED_BT_SDP_DB_FULL</name>
          <initializer>= 0xFFF4</initializer>
          <briefdescription>
<para>SDP - DB full. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__sdp_1gga93c6f8c9d0b76ab42e67a9f2d0dec328afe04ba215c6a61815af71ef66df89e81" prot="public">
          <name>WICED_BT_SDP_INVALID_PDU</name>
          <initializer>= 0xFFF5</initializer>
          <briefdescription>
<para>SDP - Invalid PDU. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__sdp_1gga93c6f8c9d0b76ab42e67a9f2d0dec328add80cbd5972c24ca74fca2a7c96efcdb" prot="public">
          <name>WICED_BT_SDP_SECURITY_ERR</name>
          <initializer>= 0xFFF6</initializer>
          <briefdescription>
<para>SDP - Security Error. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__sdp_1gga93c6f8c9d0b76ab42e67a9f2d0dec328a88fa3c55a0f7b6888a51dba22ac31ad6" prot="public">
          <name>WICED_BT_SDP_CONN_REJECTED</name>
          <initializer>= 0xFFF7</initializer>
          <briefdescription>
<para>SDP - Connection rejected. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__sdp_1gga93c6f8c9d0b76ab42e67a9f2d0dec328ad9deb32630ad1d082962cd4a3684e9a0" prot="public">
          <name>WICED_BT_SDP_CANCEL</name>
          <initializer>= 0xFFF8</initializer>
          <briefdescription>
<para>SDP - cancel. </para>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>wiced_bt_sdp_result_t: </bold><linebreak />SDP result - Success code and error codes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="57" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="33" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="34" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__sdp_1ga67cbc8e056216dc0f23717a556437565" kind="typedef" prot="public" static="no">
        <type>void()</type>
        <definition>typedef void() wiced_bt_sdp_discovery_complete_cback_t(uint16_t sdp_result)</definition>
        <argsstring>(uint16_t sdp_result)</argsstring>
        <name>wiced_bt_sdp_discovery_complete_cback_t</name>
        <briefdescription>
<para>Service discovery complete callback. </para>
        </briefdescription>
        <detaileddescription>
<para>If discovery was successful, the discovery results database (provided when <ref kindref="member" refid="group__sdp_1ga094936fae3882434d5904be599843e54">wiced_bt_sdp_service_search_request</ref> or <ref kindref="member" refid="group__sdp_1gaa01618e4e78c7c727722d3ed3837d9b2">wiced_bt_sdp_service_search_attribute_request</ref> was called) will be filled.</para>
<para>Use the wiced_bt_sdp_find_* utility functions to parse the results.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">sdp_result</parametername>
</parameternamelist>
<parameterdescription>
<para>: SDP result code (see <ref kindref="member" refid="group__sdp_1ga93c6f8c9d0b76ab42e67a9f2d0dec328">wiced_bt_sdp_result_t</ref> )</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Nothing </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="91" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="91" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__sdp_1ga747759ade8e5f409f6474bc739b5a0c8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_sdp_db_init</definition>
        <argsstring>(const uint8_t *p_sdp_db, uint16_t size)</argsstring>
        <name>wiced_bt_sdp_db_init</name>
        <param>
          <type>const uint8_t *</type>
          <declname>p_sdp_db</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Initialize local SDP server database (database generated using WICED BT Designer) </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_sdp_db</parametername>
</parameternamelist>
<parameterdescription>
<para>First element in database array </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">size</parametername>
</parameternamelist>
<parameterdescription>
<para>size (in bytes) of SDP database</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if successful, FALSE otherwise </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="372" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__sdp_1gade46d3c05e78c3a80fa4c4ec914ca1b9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_sdp_init_discovery_db</definition>
        <argsstring>(wiced_bt_sdp_discovery_db_t *p_db, uint32_t len, uint16_t num_uuid, wiced_bt_uuid_t *p_uuid_list, uint16_t num_attr, uint16_t *p_attr_list)</argsstring>
        <name>wiced_bt_sdp_init_discovery_db</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__sdp__discovery__db__t">wiced_bt_sdp_discovery_db_t</ref> *</type>
          <declname>p_db</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>len</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>num_uuid</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__uuid__t">wiced_bt_uuid_t</ref> *</type>
          <declname>p_uuid_list</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>num_attr</declname>
        </param>
        <param>
          <type>uint16_t *</type>
          <declname>p_attr_list</declname>
        </param>
        <briefdescription>
<para>Initialize discovery database prior to performing service discovery (using <ref kindref="member" refid="group__sdp_1ga094936fae3882434d5904be599843e54">wiced_bt_sdp_service_search_request</ref> or <ref kindref="member" refid="group__sdp_1ga094936fae3882434d5904be599843e54">wiced_bt_sdp_service_search_request</ref> ). </para>
        </briefdescription>
        <detaileddescription>
<para>Provides a list of UUIDs and/or attribute IDs to search for.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_db</parametername>
</parameternamelist>
<parameterdescription>
<para>: Discovery database to initialize </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">len</parametername>
</parameternamelist>
<parameterdescription>
<para>: size of discovery database </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">num_uuid</parametername>
</parameternamelist>
<parameterdescription>
<para>: Number of UUIDs in p_uuid_list </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_uuid_list</parametername>
</parameternamelist>
<parameterdescription>
<para>: UUIDs to add to discovery database </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">num_attr</parametername>
</parameternamelist>
<parameterdescription>
<para>: Number of attributes in p_attr_list </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_attr_list</parametername>
</parameternamelist>
<parameterdescription>
<para>: Attributes to add to discovery database</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if successful, FALSE if one or more parameters are bad </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="394" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__sdp_1ga38a40844fb093f62e15b575fc2ee9d79" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_sdp_cancel_service_search</definition>
        <argsstring>(wiced_bt_sdp_discovery_db_t *p_db)</argsstring>
        <name>wiced_bt_sdp_cancel_service_search</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__sdp__discovery__db__t">wiced_bt_sdp_discovery_db_t</ref> *</type>
          <declname>p_db</declname>
        </param>
        <briefdescription>
<para>Cancel service search request. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_db</parametername>
</parameternamelist>
<parameterdescription>
<para>: Discovery database of the request being cancelled</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if discovery cancelled, FALSE if a matching activity is not found. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="409" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__sdp_1ga094936fae3882434d5904be599843e54" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_sdp_service_search_request</definition>
        <argsstring>(uint8_t *p_bd_addr, wiced_bt_sdp_discovery_db_t *p_db, wiced_bt_sdp_discovery_complete_cback_t *p_cb)</argsstring>
        <name>wiced_bt_sdp_service_search_request</name>
        <param>
          <type>uint8_t *</type>
          <declname>p_bd_addr</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__sdp__discovery__db__t">wiced_bt_sdp_discovery_db_t</ref> *</type>
          <declname>p_db</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__sdp_1ga67cbc8e056216dc0f23717a556437565">wiced_bt_sdp_discovery_complete_cback_t</ref> *</type>
          <declname>p_cb</declname>
        </param>
        <briefdescription>
<para>Initiate service search on remote device. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: Remote device address </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_db</parametername>
</parameternamelist>
<parameterdescription>
<para>: Discovery database of UUIDs and attribute IDs to search for (intialized using <ref kindref="member" refid="group__sdp_1gade46d3c05e78c3a80fa4c4ec914ca1b9">wiced_bt_sdp_init_discovery_db</ref> ) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_cb</parametername>
</parameternamelist>
<parameterdescription>
<para>: Callback for discovery results</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if discovery started, FALSE if failed. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="422" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__sdp_1gaa01618e4e78c7c727722d3ed3837d9b2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_sdp_service_search_attribute_request</definition>
        <argsstring>(uint8_t *p_bd_addr, wiced_bt_sdp_discovery_db_t *p_db, wiced_bt_sdp_discovery_complete_cback_t *p_cb)</argsstring>
        <name>wiced_bt_sdp_service_search_attribute_request</name>
        <param>
          <type>uint8_t *</type>
          <declname>p_bd_addr</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__sdp__discovery__db__t">wiced_bt_sdp_discovery_db_t</ref> *</type>
          <declname>p_db</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__sdp_1ga67cbc8e056216dc0f23717a556437565">wiced_bt_sdp_discovery_complete_cback_t</ref> *</type>
          <declname>p_cb</declname>
        </param>
        <briefdescription>
<para>Initiate combined service search and attribute request on remote device. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: Remote device address </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_db</parametername>
</parameternamelist>
<parameterdescription>
<para>: Discovery database of UUIDs and attribute IDs to search for (intialized using <ref kindref="member" refid="group__sdp_1gade46d3c05e78c3a80fa4c4ec914ca1b9">wiced_bt_sdp_init_discovery_db</ref> ) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_cb</parametername>
</parameternamelist>
<parameterdescription>
<para>: Callback for discovery results</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if discovery started, FALSE if failed. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="438" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__sdp_1ga93ef8423d650b07ecff3436c9a6661c5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="compound" refid="structwiced__bt__sdp__discovery__record__t">wiced_bt_sdp_discovery_record_t</ref> *</type>
        <definition>wiced_bt_sdp_discovery_record_t* wiced_bt_sdp_find_attribute_in_db</definition>
        <argsstring>(wiced_bt_sdp_discovery_db_t *p_db, uint16_t attr_id, wiced_bt_sdp_discovery_record_t *p_start_rec)</argsstring>
        <name>wiced_bt_sdp_find_attribute_in_db</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__sdp__discovery__db__t">wiced_bt_sdp_discovery_db_t</ref> *</type>
          <declname>p_db</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>attr_id</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__sdp__discovery__record__t">wiced_bt_sdp_discovery_record_t</ref> *</type>
          <declname>p_start_rec</declname>
        </param>
        <briefdescription>
<para>Parse results from service search. </para>
        </briefdescription>
        <detaileddescription>
<para>Look next record in discovery database containing attribute ID.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_db</parametername>
</parameternamelist>
<parameterdescription>
<para>: Discovery results database </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">attr_id</parametername>
</parameternamelist>
<parameterdescription>
<para>: Attribute ID to find </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_start_rec</parametername>
</parameternamelist>
<parameterdescription>
<para>: Starting record to search from (if NULL, start from beginning of database)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Pointer to matching record, or NULL </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="458" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__sdp_1gaf9012e1247f2655a5f747036e56beb6c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="compound" refid="structwiced__bt__sdp__discovery__attribute__t">wiced_bt_sdp_discovery_attribute_t</ref> *</type>
        <definition>wiced_bt_sdp_discovery_attribute_t* wiced_bt_sdp_find_attribute_in_rec</definition>
        <argsstring>(wiced_bt_sdp_discovery_record_t *p_rec, uint16_t attr_id)</argsstring>
        <name>wiced_bt_sdp_find_attribute_in_rec</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__sdp__discovery__record__t">wiced_bt_sdp_discovery_record_t</ref> *</type>
          <declname>p_rec</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>attr_id</declname>
        </param>
        <briefdescription>
<para>Parse SDP record. </para>
        </briefdescription>
        <detaileddescription>
<para>Look for requested attribute in the service record.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_rec</parametername>
</parameternamelist>
<parameterdescription>
<para>: Service record </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">attr_id</parametername>
</parameternamelist>
<parameterdescription>
<para>: Attribute ID to find</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Pointer to matching attribute entry, or NULL </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="473" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__sdp_1ga7078f5df0992da0764391acc1a3a078a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="compound" refid="structwiced__bt__sdp__discovery__record__t">wiced_bt_sdp_discovery_record_t</ref> *</type>
        <definition>wiced_bt_sdp_discovery_record_t* wiced_bt_sdp_find_service_in_db</definition>
        <argsstring>(wiced_bt_sdp_discovery_db_t *p_db, uint16_t service_uuid, wiced_bt_sdp_discovery_record_t *p_start_rec)</argsstring>
        <name>wiced_bt_sdp_find_service_in_db</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__sdp__discovery__db__t">wiced_bt_sdp_discovery_db_t</ref> *</type>
          <declname>p_db</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>service_uuid</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__sdp__discovery__record__t">wiced_bt_sdp_discovery_record_t</ref> *</type>
          <declname>p_start_rec</declname>
        </param>
        <briefdescription>
<para>Parse results from service search. </para>
        </briefdescription>
        <detaileddescription>
<para>Look next record in discovery database containing requested service UUID (specified using uint16_t)</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_db</parametername>
</parameternamelist>
<parameterdescription>
<para>: Discovery results database </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">service_uuid</parametername>
</parameternamelist>
<parameterdescription>
<para>Service to find </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_start_rec</parametername>
</parameternamelist>
<parameterdescription>
<para>: Starting record to search from (if NULL, start from beginning of database)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Pointer to matching record, or NULL </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="489" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__sdp_1ga51e94dac64cbccbf61e595a35c2e0b16" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="compound" refid="structwiced__bt__sdp__discovery__record__t">wiced_bt_sdp_discovery_record_t</ref> *</type>
        <definition>wiced_bt_sdp_discovery_record_t* wiced_bt_sdp_find_service_uuid_in_db</definition>
        <argsstring>(wiced_bt_sdp_discovery_db_t *p_db, wiced_bt_uuid_t *p_uuid, wiced_bt_sdp_discovery_record_t *p_start_rec)</argsstring>
        <name>wiced_bt_sdp_find_service_uuid_in_db</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__sdp__discovery__db__t">wiced_bt_sdp_discovery_db_t</ref> *</type>
          <declname>p_db</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__uuid__t">wiced_bt_uuid_t</ref> *</type>
          <declname>p_uuid</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__sdp__discovery__record__t">wiced_bt_sdp_discovery_record_t</ref> *</type>
          <declname>p_start_rec</declname>
        </param>
        <briefdescription>
<para>Parse results from service search. </para>
        </briefdescription>
        <detaileddescription>
<para>Look next record in discovery database containing requested service UUID (specified using <ref kindref="compound" refid="structwiced__bt__uuid__t">wiced_bt_uuid_t</ref> structure)</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_db</parametername>
</parameternamelist>
<parameterdescription>
<para>: Discovery results database </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_uuid</parametername>
</parameternamelist>
<parameterdescription>
<para>: Service to find </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_start_rec</parametername>
</parameternamelist>
<parameterdescription>
<para>: Starting record to search from (if NULL, start from beginning of database)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Pointer to matching record, or NULL </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="506" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__sdp_1gaf668f96c4db71777024e80595b090e3d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_sdp_find_protocol_list_elem_in_rec</definition>
        <argsstring>(wiced_bt_sdp_discovery_record_t *p_rec, uint16_t layer_uuid, wiced_bt_sdp_protocol_elem_t *p_elem)</argsstring>
        <name>wiced_bt_sdp_find_protocol_list_elem_in_rec</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__sdp__discovery__record__t">wiced_bt_sdp_discovery_record_t</ref> *</type>
          <declname>p_rec</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>layer_uuid</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__sdp__protocol__elem__t">wiced_bt_sdp_protocol_elem_t</ref> *</type>
          <declname>p_elem</declname>
        </param>
        <briefdescription>
<para>Parse SDP record. </para>
        </briefdescription>
        <detaileddescription>
<para>Look for requested protocol list element in the service record.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_rec</parametername>
</parameternamelist>
<parameterdescription>
<para>: Service record </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">layer_uuid</parametername>
</parameternamelist>
<parameterdescription>
<para>: protocol list element to find </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">p_elem</parametername>
</parameternamelist>
<parameterdescription>
<para>: protocol list element (if found)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if found, else FALSE </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="522" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__sdp_1gad55f05d5b61cce7b7e4b06fae09e1048" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_sdp_find_protocol_lists_elem_in_rec</definition>
        <argsstring>(wiced_bt_sdp_discovery_record_t *p_rec, uint16_t layer_uuid, wiced_bt_sdp_protocol_elem_t *p_elem)</argsstring>
        <name>wiced_bt_sdp_find_protocol_lists_elem_in_rec</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__sdp__discovery__record__t">wiced_bt_sdp_discovery_record_t</ref> *</type>
          <declname>p_rec</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>layer_uuid</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__sdp__protocol__elem__t">wiced_bt_sdp_protocol_elem_t</ref> *</type>
          <declname>p_elem</declname>
        </param>
        <briefdescription>
<para>Parse SDP record. </para>
        </briefdescription>
        <detaileddescription>
<para>Look for requested protocol lists element in the service record.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_rec</parametername>
</parameternamelist>
<parameterdescription>
<para>: Service record </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">layer_uuid</parametername>
</parameternamelist>
<parameterdescription>
<para>: protocol lists element to find </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">p_elem</parametername>
</parameternamelist>
<parameterdescription>
<para>: protocol lists element (if found)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if found, else FALSE </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="537" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__sdp_1gace9edd7986d7ba988d2adb36382b801e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_sdp_find_profile_version_in_rec</definition>
        <argsstring>(wiced_bt_sdp_discovery_record_t *p_rec, uint16_t profile_uuid, uint16_t *p_version)</argsstring>
        <name>wiced_bt_sdp_find_profile_version_in_rec</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__sdp__discovery__record__t">wiced_bt_sdp_discovery_record_t</ref> *</type>
          <declname>p_rec</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>profile_uuid</declname>
        </param>
        <param>
          <type>uint16_t *</type>
          <declname>p_version</declname>
        </param>
        <briefdescription>
<para>Parse SDP record. </para>
        </briefdescription>
        <detaileddescription>
<para>Look for version of requested profile.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_rec</parametername>
</parameternamelist>
<parameterdescription>
<para>: Service record </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">profile_uuid</parametername>
</parameternamelist>
<parameterdescription>
<para>Profile to find </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">p_version</parametername>
</parameternamelist>
<parameterdescription>
<para>: Major/minor version of profile (if found)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if found, FALSE if not </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="552" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__sdp_1ga60aea2ea871cd226c6f24c575d06d5b2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_sdp_find_service_uuid_in_rec</definition>
        <argsstring>(wiced_bt_sdp_discovery_record_t *p_rec, wiced_bt_uuid_t *p_uuid)</argsstring>
        <name>wiced_bt_sdp_find_service_uuid_in_rec</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__sdp__discovery__record__t">wiced_bt_sdp_discovery_record_t</ref> *</type>
          <declname>p_rec</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__uuid__t">wiced_bt_uuid_t</ref> *</type>
          <declname>p_uuid</declname>
        </param>
        <briefdescription>
<para>Parse SDP record. </para>
        </briefdescription>
        <detaileddescription>
<para>Look for service UUID</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_rec</parametername>
</parameternamelist>
<parameterdescription>
<para>: Service record </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">p_uuid</parametername>
</parameternamelist>
<parameterdescription>
<para>: Service UUID of the record</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if found, FALSE if not </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="566" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="define">
      <memberdef id="group__sdp_1ga25ce859d7ee2730e1d22d11c051ed60d" kind="define" prot="public" static="no">
        <name>SDP_PSM</name>
        <initializer>0x0001</initializer>
        <briefdescription>
<para>Define the PSM that SDP uses. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="60" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="60" />
      </memberdef>
      <memberdef id="group__sdp_1gae9c1f263040cd7e41e0264d8a5b53762" kind="define" prot="public" static="no">
        <name>SDP_DISC_ATTR_LEN_MASK</name>
        <initializer>0x0FFF</initializer>
        <briefdescription>
<para>Masks for attr_value field of <ref kindref="compound" refid="structwiced__bt__sdp__discovery__attribute__t">wiced_bt_sdp_discovery_attribute_t</ref>. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="63" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="63" />
      </memberdef>
      <memberdef id="group__sdp_1ga742db20fb380a3c2e071662a29c6f805" kind="define" prot="public" static="no">
        <name>SDP_DISC_ATTR_TYPE</name>
        <param><defname>len_type</defname></param>
        <initializer>(len_type &gt;&gt; 12)</initializer>
        <briefdescription>
<para>Masks for attr_len_type field of <ref kindref="compound" refid="structwiced__bt__sdp__discovery__attribute__t">wiced_bt_sdp_discovery_attribute_t</ref>. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="65" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="65" />
      </memberdef>
      <memberdef id="group__sdp_1ga2355933332a7abfbd5ec921f7254d67e" kind="define" prot="public" static="no">
        <name>SDP_DISC_ATTR_LEN</name>
        <param><defname>len_type</defname></param>
        <initializer>(len_type &amp; <ref kindref="member" refid="group__sdp_1gae9c1f263040cd7e41e0264d8a5b53762">SDP_DISC_ATTR_LEN_MASK</ref>)</initializer>
        <briefdescription>
<para>Masks for attr_len. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="67" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="67" />
      </memberdef>
      <memberdef id="group__sdp_1ga45eb25d2f8eb36b18851d0b3eb5028cb" kind="define" prot="public" static="no">
        <name>SDP_MAX_LIST_ELEMS</name>
        <initializer>3</initializer>
        <briefdescription>
<para>Maximum number of protocol list items (list_elem in <ref kindref="compound" refid="structwiced__bt__sdp__protocol__elem__t">wiced_bt_sdp_protocol_elem_t</ref>) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="70" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="70" />
      </memberdef>
      <memberdef id="group__sdp_1gace2c19cbabc75941514ba0eec6bf3afa" kind="define" prot="public" static="no">
        <name>SDP_MAX_UUID_FILTERS</name>
        <initializer>3</initializer>
        <briefdescription>
<para>SDP Max UUID filters. </para>
        </briefdescription>
        <detaileddescription>
<para>num_uuid field of <ref kindref="member" refid="group__sdp_1gade46d3c05e78c3a80fa4c4ec914ca1b9">wiced_bt_sdp_init_discovery_db</ref> API should be less than SDP_MAX_UUID_FILTERS </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="126" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="126" />
      </memberdef>
      <memberdef id="group__sdp_1ga0f5032f09fcdbbd0524365bccd356599" kind="define" prot="public" static="no">
        <name>SDP_MAX_ATTR_FILTERS</name>
        <initializer>12</initializer>
        <briefdescription>
<para>SDP Max Attribute filters. </para>
        </briefdescription>
        <detaileddescription>
<para>num_attr field of <ref kindref="member" refid="group__sdp_1gade46d3c05e78c3a80fa4c4ec914ca1b9">wiced_bt_sdp_init_discovery_db</ref> API should be less than SDP_MAX_ATTR_FILTERS </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="129" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="129" />
      </memberdef>
      <memberdef id="group__sdp_1gabb2a95938d2ec26d1c235135fb84f52d" kind="define" prot="public" static="no">
        <name>SDP_MAX_PROTOCOL_PARAMS</name>
        <initializer>2</initializer>
        <briefdescription>
<para>SDP Max Protocol Parameters. </para>
        </briefdescription>
        <detaileddescription>
<para>num_params field in <ref kindref="compound" refid="structwiced__bt__sdp__protocol__elem__t">wiced_bt_sdp_protocol_elem_t</ref> structure </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="146" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="146" />
      </memberdef>
      <memberdef id="group__sdp_1ga9f3bd656aec0e3cb7212f3dc8f9fd0bb" kind="define" prot="public" static="no">
        <name>SDP_UINT1</name>
        <param><defname>value</defname></param>
        <initializer>(value)</initializer>
        <briefdescription>
<para>SDP attribute 1 byte. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="160" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="160" />
      </memberdef>
      <memberdef id="group__sdp_1ga5432d671fd042863a1eb5743a6711dc8" kind="define" prot="public" static="no">
        <name>SDP_UINT2</name>
        <param><defname>value</defname></param>
        <initializer>(value) &gt;&gt; 8, (value) &amp; 0xff</initializer>
        <briefdescription>
<para>SDP attribute 2 byte. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="162" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="162" />
      </memberdef>
      <memberdef id="group__sdp_1ga3c65fa1747f1256acffa08f61b2d571c" kind="define" prot="public" static="no">
        <name>SDP_UINT4</name>
        <param><defname>value</defname></param>
        <initializer>(value) &gt;&gt; 24, ((value) &gt;&gt; 16) &amp; 0xff, ((value) &gt;&gt; 8) &amp; 0xff, (value) &amp; 0xff</initializer>
        <briefdescription>
<para>SDP attribute 4 byte. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="164" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="164" />
      </memberdef>
      <memberdef id="group__sdp_1ga04d384ca9c15b9100901eecc50ed61d6" kind="define" prot="public" static="no">
        <name>SDP_UINT8</name>
        <param><defname>value</defname></param>
        <initializer>(value) &gt;&gt; 56, ((value) &gt;&gt; 48) &amp; 0xff, ((value &gt;&gt; 40) &gt;&gt; 8) &amp; 0xff,   \
                                            (value &gt;&gt; 32) &amp; 0xff, ((value) &gt;&gt; 24) &amp; 0xff, ((value) &gt;&gt; 16) &amp; 0xff, \
                                            ((value) &gt;&gt; 8) &amp; 0xff, (value) &amp; 0xff</initializer>
        <briefdescription>
<para>SDP attribute 8 byte. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="166" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="166" />
      </memberdef>
      <memberdef id="group__sdp_1ga6bec1806a2fe0f7f6665a53a27b03efc" kind="define" prot="public" static="no">
        <name>SDP_BOOLEAN</name>
        <initializer><ref kindref="member" refid="group__sdp_1ga9f3bd656aec0e3cb7212f3dc8f9fd0bb">SDP_UINT1</ref></initializer>
        <briefdescription>
<para>SDP attribute BOOLEAN type. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="170" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="170" />
      </memberdef>
      <memberdef id="group__sdp_1ga27252d8dcaa68b35af0de50f23097798" kind="define" prot="public" static="no">
        <name>SDP_ATTR_VALUE_UINT1</name>
        <param><defname>value</defname></param>
        <initializer>(UINT_DESC_TYPE &lt;&lt; 3)    | SIZE_ONE_BYTE,    <ref kindref="member" refid="group__sdp_1ga9f3bd656aec0e3cb7212f3dc8f9fd0bb">SDP_UINT1</ref>(value)</initializer>
        <briefdescription>
<para>SDP attribute value UINT 1 byte. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="173" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="173" />
      </memberdef>
      <memberdef id="group__sdp_1gaacf725bfefb71cb163472097b68c1b27" kind="define" prot="public" static="no">
        <name>SDP_ATTR_VALUE_UINT2</name>
        <param><defname>value</defname></param>
        <initializer>(UINT_DESC_TYPE &lt;&lt; 3)    | SIZE_TWO_BYTES,   <ref kindref="member" refid="group__sdp_1ga5432d671fd042863a1eb5743a6711dc8">SDP_UINT2</ref>(value)</initializer>
        <briefdescription>
<para>SDP attribute value UINT 2 byte. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="175" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="175" />
      </memberdef>
      <memberdef id="group__sdp_1ga53571a2cc6ef75208e7d58d28efe93f9" kind="define" prot="public" static="no">
        <name>SDP_ATTR_VALUE_UINT4</name>
        <param><defname>value</defname></param>
        <initializer>(UINT_DESC_TYPE &lt;&lt; 3)    | SIZE_FOUR_BYTES,  <ref kindref="member" refid="group__sdp_1ga3c65fa1747f1256acffa08f61b2d571c">SDP_UINT4</ref>(value)</initializer>
        <briefdescription>
<para>SDP attribute value UINT 4 byte. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="177" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="177" />
      </memberdef>
      <memberdef id="group__sdp_1ga648b1b49d66f70530f4dd41bbdd7dbde" kind="define" prot="public" static="no">
        <name>SDP_ATTR_VALUE_UINT8</name>
        <param><defname>value</defname></param>
        <initializer>(UINT_DESC_TYPE &lt;&lt; 3)    | SIZE_EIGHT_BYTES, <ref kindref="member" refid="group__sdp_1ga04d384ca9c15b9100901eecc50ed61d6">SDP_UINT8</ref>(value)</initializer>
        <briefdescription>
<para>SDP attribute value UINT 8 byte. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="179" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="179" />
      </memberdef>
      <memberdef id="group__sdp_1gae79718775a7ec3d782095dd37e528bac" kind="define" prot="public" static="no">
        <name>SDP_ATTR_VALUE_BOOLEAN</name>
        <param><defname>value</defname></param>
        <initializer>(BOOLEAN_DESC_TYPE &lt;&lt; 3),                    <ref kindref="member" refid="group__sdp_1ga9f3bd656aec0e3cb7212f3dc8f9fd0bb">SDP_UINT1</ref>(value)</initializer>
        <briefdescription>
<para>SDP attribute value BOOLEAN type. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="181" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="181" />
      </memberdef>
      <memberdef id="group__sdp_1gaa5f06e30afcb0f818ae03515c2e99936" kind="define" prot="public" static="no">
        <name>SDP_ATTR_VALUE_TEXT</name>
        <initializer>(TEXT_STR_DESC_TYPE &lt;&lt; 3) | SIZE_IN_NEXT_BYTE</initializer>
        <briefdescription>
<para>SDP attribute value text. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="184" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="184" />
      </memberdef>
      <memberdef id="group__sdp_1ga7ef9f823becd4429c79f52b648e776dd" kind="define" prot="public" static="no">
        <name>SDP_ATTR_VALUE_TEXT_1</name>
        <param><defname>len</defname></param>
        <initializer>(TEXT_STR_DESC_TYPE &lt;&lt; 3) | SIZE_IN_NEXT_BYTE, <ref kindref="member" refid="group__sdp_1ga9f3bd656aec0e3cb7212f3dc8f9fd0bb">SDP_UINT1</ref>(len)</initializer>
        <briefdescription>
<para>SDP attribute value text 1 byte. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="186" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="186" />
      </memberdef>
      <memberdef id="group__sdp_1gaf895a72d5f215b0ce7fb1ced737e158d" kind="define" prot="public" static="no">
        <name>SDP_ATTR_VALUE_TEXT_2</name>
        <param><defname>len</defname></param>
        <initializer>(TEXT_STR_DESC_TYPE &lt;&lt; 3) | SIZE_IN_NEXT_WORD, <ref kindref="member" refid="group__sdp_1ga5432d671fd042863a1eb5743a6711dc8">SDP_UINT2</ref>(len)</initializer>
        <briefdescription>
<para>SDP attribute value text 2 byte. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="188" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="188" />
      </memberdef>
      <memberdef id="group__sdp_1gaa433dabdbbdce3a001bf94e30cac2ffd" kind="define" prot="public" static="no">
        <name>SDP_ATTR_VALUE_TEXT_4</name>
        <param><defname>len</defname></param>
        <initializer>(TEXT_STR_DESC_TYPE &lt;&lt; 3) | SIZE_IN_NEXT_LONG, <ref kindref="member" refid="group__sdp_1ga3c65fa1747f1256acffa08f61b2d571c">SDP_UINT4</ref>(len)</initializer>
        <briefdescription>
<para>SDP attribute value text 4 byte. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="190" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="190" />
      </memberdef>
      <memberdef id="group__sdp_1ga916c7151e94d8c6b89aa166008eca675" kind="define" prot="public" static="no">
        <name>SDP_ATTR_UINT1</name>
        <param><defname>id</defname></param>
        <param><defname>value</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga20be02d4fbd3d7fe2a7dfe7f244a4d2d">SDP_ATTR_ID</ref>(id), <ref kindref="member" refid="group__sdp_1ga27252d8dcaa68b35af0de50f23097798">SDP_ATTR_VALUE_UINT1</ref>(value)</initializer>
        <briefdescription>
<para>SDP attribute id with 1 byte value. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="193" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="193" />
      </memberdef>
      <memberdef id="group__sdp_1gaca22cff050ffaef75613267bebe0859e" kind="define" prot="public" static="no">
        <name>SDP_ATTR_UINT2</name>
        <param><defname>id</defname></param>
        <param><defname>value</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga20be02d4fbd3d7fe2a7dfe7f244a4d2d">SDP_ATTR_ID</ref>(id), <ref kindref="member" refid="group__sdp_1gaacf725bfefb71cb163472097b68c1b27">SDP_ATTR_VALUE_UINT2</ref>(value)</initializer>
        <briefdescription>
<para>SDP attribute id with 2 byte value. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="195" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="195" />
      </memberdef>
      <memberdef id="group__sdp_1ga48251fbfb321c9a0835b3752e9479c7e" kind="define" prot="public" static="no">
        <name>SDP_ATTR_UINT4</name>
        <param><defname>id</defname></param>
        <param><defname>value</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga20be02d4fbd3d7fe2a7dfe7f244a4d2d">SDP_ATTR_ID</ref>(id), <ref kindref="member" refid="group__sdp_1ga53571a2cc6ef75208e7d58d28efe93f9">SDP_ATTR_VALUE_UINT4</ref>(value)</initializer>
        <briefdescription>
<para>SDP attribute id with 4 byte value. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="197" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="197" />
      </memberdef>
      <memberdef id="group__sdp_1ga5f8dcd2ede11e7e028a7de38cbde6c34" kind="define" prot="public" static="no">
        <name>SDP_ATTR_UINT8</name>
        <param><defname>id</defname></param>
        <param><defname>value</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga20be02d4fbd3d7fe2a7dfe7f244a4d2d">SDP_ATTR_ID</ref>(id), <ref kindref="member" refid="group__sdp_1ga648b1b49d66f70530f4dd41bbdd7dbde">SDP_ATTR_VALUE_UINT8</ref>(value)</initializer>
        <briefdescription>
<para>SDP attribute id with 8 byte value. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="199" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="199" />
      </memberdef>
      <memberdef id="group__sdp_1gaf67d1818ac58bd80868a888be6bf63eb" kind="define" prot="public" static="no">
        <name>SDP_ATTR_BOOLEAN</name>
        <param><defname>id</defname></param>
        <param><defname>value</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga20be02d4fbd3d7fe2a7dfe7f244a4d2d">SDP_ATTR_ID</ref>(id), <ref kindref="member" refid="group__sdp_1gae79718775a7ec3d782095dd37e528bac">SDP_ATTR_VALUE_BOOLEAN</ref>(value)</initializer>
        <briefdescription>
<para>SDP attribute id with BOOLEAN value. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="201" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="201" />
      </memberdef>
      <memberdef id="group__sdp_1ga20be02d4fbd3d7fe2a7dfe7f244a4d2d" kind="define" prot="public" static="no">
        <name>SDP_ATTR_ID</name>
        <initializer><ref kindref="member" refid="group__sdp_1gaacf725bfefb71cb163472097b68c1b27">SDP_ATTR_VALUE_UINT2</ref></initializer>
        <briefdescription>
<para>SDP attribute id. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="204" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="204" />
      </memberdef>
      <memberdef id="group__sdp_1gaf510c61aee0bca86aadd5e43d90c5a3e" kind="define" prot="public" static="no">
        <name>SDP_ATTR_UUID16</name>
        <param><defname>uuid</defname></param>
        <initializer>((UUID_DESC_TYPE &lt;&lt; 3) | SIZE_TWO_BYTES), <ref kindref="member" refid="group__sdp_1ga5432d671fd042863a1eb5743a6711dc8">SDP_UINT2</ref>(uuid)</initializer>
        <briefdescription>
<para>SDP attribute 16 bit UUID. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="207" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="207" />
      </memberdef>
      <memberdef id="group__sdp_1ga559d4047d70c5ffe2e621f23fe9a62a6" kind="define" prot="public" static="no">
        <name>SDP_ATTR_TEXT</name>
        <param><defname>id</defname></param>
        <param><defname>len</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga20be02d4fbd3d7fe2a7dfe7f244a4d2d">SDP_ATTR_ID</ref>(id), <ref kindref="member" refid="group__sdp_1gaa5f06e30afcb0f818ae03515c2e99936">SDP_ATTR_VALUE_TEXT</ref>, (len)</initializer>
        <briefdescription>
<para>SDP attribute id with text. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="210" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="210" />
      </memberdef>
      <memberdef id="group__sdp_1ga7c45daa37e98a6baab4d8874b89a66e1" kind="define" prot="public" static="no">
        <name>SDP_ATTR_TEXT_1</name>
        <param><defname>id</defname></param>
        <param><defname>len</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga20be02d4fbd3d7fe2a7dfe7f244a4d2d">SDP_ATTR_ID</ref>(id), <ref kindref="member" refid="group__sdp_1ga7ef9f823becd4429c79f52b648e776dd">SDP_ATTR_VALUE_TEXT_1</ref>(len)</initializer>
        <briefdescription>
<para>SDP attribute id with 1 byte text value. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="212" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="212" />
      </memberdef>
      <memberdef id="group__sdp_1ga252ae53e10fcdb6846c532d889ff8a92" kind="define" prot="public" static="no">
        <name>SDP_ATTR_TEXT_2</name>
        <param><defname>id</defname></param>
        <param><defname>len</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga20be02d4fbd3d7fe2a7dfe7f244a4d2d">SDP_ATTR_ID</ref>(id), <ref kindref="member" refid="group__sdp_1gaf895a72d5f215b0ce7fb1ced737e158d">SDP_ATTR_VALUE_TEXT_2</ref>(len)</initializer>
        <briefdescription>
<para>SDP attribute id with 2 byte text value. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="214" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="214" />
      </memberdef>
      <memberdef id="group__sdp_1gad0858a3493c233d6ed3d6e04792ca73d" kind="define" prot="public" static="no">
        <name>SDP_ATTR_TEXT_4</name>
        <param><defname>id</defname></param>
        <param><defname>len</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga20be02d4fbd3d7fe2a7dfe7f244a4d2d">SDP_ATTR_ID</ref>(id), <ref kindref="member" refid="group__sdp_1gaa433dabdbbdce3a001bf94e30cac2ffd">SDP_ATTR_VALUE_TEXT_4</ref>(len)</initializer>
        <briefdescription>
<para>SDP attribute id with 4 byte text value. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="216" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="216" />
      </memberdef>
      <memberdef id="group__sdp_1ga5bc7f5b005bce15ff200442327892cad" kind="define" prot="public" static="no">
        <name>SDP_ATTR_SEQUENCE_1</name>
        <param><defname>length</defname></param>
        <initializer>((DATA_ELE_SEQ_DESC_TYPE &lt;&lt; 3) | SIZE_IN_NEXT_BYTE), (length)</initializer>
        <briefdescription>
<para>SDP attribute Sequence 1 byte. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="219" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="219" />
      </memberdef>
      <memberdef id="group__sdp_1ga5408f2ea8f26aa384ad2c45e349a60c1" kind="define" prot="public" static="no">
        <name>SDP_ATTR_SEQUENCE_2</name>
        <param><defname>length</defname></param>
        <initializer>((DATA_ELE_SEQ_DESC_TYPE &lt;&lt; 3) | SIZE_IN_NEXT_WORD), <ref kindref="member" refid="group__sdp_1ga5432d671fd042863a1eb5743a6711dc8">SDP_UINT2</ref>(length)</initializer>
        <briefdescription>
<para>SDP attribute Sequence 2 byte. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="221" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="221" />
      </memberdef>
      <memberdef id="group__sdp_1ga98ada679b175b9f737698830b5c4b025" kind="define" prot="public" static="no">
        <name>SDP_ATTR_SEQUENCE_4</name>
        <param><defname>length</defname></param>
        <initializer>((DATA_ELE_SEQ_DESC_TYPE &lt;&lt; 3) | SIZE_IN_NEXT_LONG), <ref kindref="member" refid="group__sdp_1ga3c65fa1747f1256acffa08f61b2d571c">SDP_UINT4</ref>(length)</initializer>
        <briefdescription>
<para>SDP attribute Sequence 4 byte. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="223" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="223" />
      </memberdef>
      <memberdef id="group__sdp_1ga0de0fb67130a463ae27a490264d6269e" kind="define" prot="public" static="no">
        <name>SDP_ATTR_RECORD_HANDLE</name>
        <param><defname>handle</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga48251fbfb321c9a0835b3752e9479c7e">SDP_ATTR_UINT4</ref>(ATTR_ID_SERVICE_RECORD_HDL, handle)</initializer>
        <briefdescription>
<para>Service Record Handle 0x0000. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="226" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="226" />
      </memberdef>
      <memberdef id="group__sdp_1ga633427389b037e10cef294d8527506df" kind="define" prot="public" static="no">
        <name>SDP_ATTR_CLASS_ID</name>
        <param><defname>uuid</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga20be02d4fbd3d7fe2a7dfe7f244a4d2d">SDP_ATTR_ID</ref>(ATTR_ID_SERVICE_CLASS_ID_LIST), <ref kindref="member" refid="group__sdp_1ga5bc7f5b005bce15ff200442327892cad">SDP_ATTR_SEQUENCE_1</ref>(3), \
        <ref kindref="member" refid="group__sdp_1gaf510c61aee0bca86aadd5e43d90c5a3e">SDP_ATTR_UUID16</ref>(uuid)</initializer>
        <briefdescription>
<para>Service Class ID List 0x0001. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="229" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="229" />
      </memberdef>
      <memberdef id="group__sdp_1gaffbcc77f8f7dccfc5d513d3d1ccf55aa" kind="define" prot="public" static="no">
        <name>SDP_ATTR_SERVICE_RECORD_STATE</name>
        <param><defname>state</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga48251fbfb321c9a0835b3752e9479c7e">SDP_ATTR_UINT4</ref>(ATTR_ID_SERVICE_RECORD_STATE, state)</initializer>
        <briefdescription>
<para>Service Record State 0x0002. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="234" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="234" />
      </memberdef>
      <memberdef id="group__sdp_1ga81fd3956e9eb6f353bcdf4d95185ca16" kind="define" prot="public" static="no">
        <name>SDP_ATTR_SERVICE_ID</name>
        <param><defname>uuid</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga20be02d4fbd3d7fe2a7dfe7f244a4d2d">SDP_ATTR_ID</ref>(ATTR_ID_SERVICE_ID), <ref kindref="member" refid="group__sdp_1ga5bc7f5b005bce15ff200442327892cad">SDP_ATTR_SEQUENCE_1</ref>(3),            \
        <ref kindref="member" refid="group__sdp_1gaf510c61aee0bca86aadd5e43d90c5a3e">SDP_ATTR_UUID16</ref>(uuid)</initializer>
        <briefdescription>
<para>Service ID 0x0003. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="238" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="238" />
      </memberdef>
      <memberdef id="group__sdp_1ga43bf5179d9854ccf80ef7359588f3a60" kind="define" prot="public" static="no">
        <name>SDP_ATTR_PROTOCOL_DESC_LIST</name>
        <param><defname>l2cap_chan</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga20be02d4fbd3d7fe2a7dfe7f244a4d2d">SDP_ATTR_ID</ref>(ATTR_ID_PROTOCOL_DESC_LIST), <ref kindref="member" refid="group__sdp_1ga5bc7f5b005bce15ff200442327892cad">SDP_ATTR_SEQUENCE_1</ref>(13),   \
        <ref kindref="member" refid="group__sdp_1ga5bc7f5b005bce15ff200442327892cad">SDP_ATTR_SEQUENCE_1</ref>(6),                                         \
        <ref kindref="member" refid="group__sdp_1gaf510c61aee0bca86aadd5e43d90c5a3e">SDP_ATTR_UUID16</ref>(UUID_PROTOCOL_L2CAP),                           \
            <ref kindref="member" refid="group__sdp_1gaacf725bfefb71cb163472097b68c1b27">SDP_ATTR_VALUE_UINT2</ref>(1),                                    \
        <ref kindref="member" refid="group__sdp_1ga5bc7f5b005bce15ff200442327892cad">SDP_ATTR_SEQUENCE_1</ref>(3),                                         \
            <ref kindref="member" refid="group__sdp_1gaf510c61aee0bca86aadd5e43d90c5a3e">SDP_ATTR_UUID16</ref>(l2cap_chan)</initializer>
        <briefdescription>
<para>Protocol Descriptor List 0x0004 for L2CAP. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="243" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="243" />
      </memberdef>
      <memberdef id="group__sdp_1ga5144ee017e4373fe863b1480b8056013" kind="define" prot="public" static="no">
        <name>SDP_ATTR_SDP_PROTOCOL_DESC_LIST</name>
        <param><defname>l2cap_chan</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga20be02d4fbd3d7fe2a7dfe7f244a4d2d">SDP_ATTR_ID</ref>(ATTR_ID_PROTOCOL_DESC_LIST), <ref kindref="member" refid="group__sdp_1ga5bc7f5b005bce15ff200442327892cad">SDP_ATTR_SEQUENCE_1</ref>(13),   \
        <ref kindref="member" refid="group__sdp_1ga5bc7f5b005bce15ff200442327892cad">SDP_ATTR_SEQUENCE_1</ref>(6),                                         \
        <ref kindref="member" refid="group__sdp_1gaf510c61aee0bca86aadd5e43d90c5a3e">SDP_ATTR_UUID16</ref>(UUID_PROTOCOL_L2CAP),                           \
            <ref kindref="member" refid="group__sdp_1ga20be02d4fbd3d7fe2a7dfe7f244a4d2d">SDP_ATTR_ID</ref>(l2cap_chan),                                    \
        <ref kindref="member" refid="group__sdp_1ga5bc7f5b005bce15ff200442327892cad">SDP_ATTR_SEQUENCE_1</ref>(3),                                         \
            <ref kindref="member" refid="group__sdp_1gaf510c61aee0bca86aadd5e43d90c5a3e">SDP_ATTR_UUID16</ref>(UUID_PROTOCOL_SDP)</initializer>
        <briefdescription>
<para>Protocol Descriptor List 0x0004 for SDP. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="252" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="252" />
      </memberdef>
      <memberdef id="group__sdp_1ga9d462ec4767651dfaf7157e5c22991ef" kind="define" prot="public" static="no">
        <name>SDP_ATTR_HIDP_PROTOCOL_DESC_LIST</name>
        <param><defname>l2cap_chan</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga20be02d4fbd3d7fe2a7dfe7f244a4d2d">SDP_ATTR_ID</ref>(ATTR_ID_PROTOCOL_DESC_LIST), <ref kindref="member" refid="group__sdp_1ga5bc7f5b005bce15ff200442327892cad">SDP_ATTR_SEQUENCE_1</ref>(13),   \
        <ref kindref="member" refid="group__sdp_1ga5bc7f5b005bce15ff200442327892cad">SDP_ATTR_SEQUENCE_1</ref>(6),                                         \
        <ref kindref="member" refid="group__sdp_1gaf510c61aee0bca86aadd5e43d90c5a3e">SDP_ATTR_UUID16</ref>(UUID_PROTOCOL_L2CAP),                           \
            <ref kindref="member" refid="group__sdp_1ga20be02d4fbd3d7fe2a7dfe7f244a4d2d">SDP_ATTR_ID</ref>(l2cap_chan),                                    \
        <ref kindref="member" refid="group__sdp_1ga5bc7f5b005bce15ff200442327892cad">SDP_ATTR_SEQUENCE_1</ref>(3),                                         \
            <ref kindref="member" refid="group__sdp_1gaf510c61aee0bca86aadd5e43d90c5a3e">SDP_ATTR_UUID16</ref>(UUID_PROTOCOL_HIDP)</initializer>
        <briefdescription>
<para>Protocol Descriptor List 0x0004 for HIDP. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="262" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="262" />
      </memberdef>
      <memberdef id="group__sdp_1ga9b7422c76b7bf31edc6994968fa7ba40" kind="define" prot="public" static="no">
        <name>SDP_ATTR_RFCOMM_PROTOCOL_DESC_LIST</name>
        <param><defname>scn</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga20be02d4fbd3d7fe2a7dfe7f244a4d2d">SDP_ATTR_ID</ref>(ATTR_ID_PROTOCOL_DESC_LIST), <ref kindref="member" refid="group__sdp_1ga5bc7f5b005bce15ff200442327892cad">SDP_ATTR_SEQUENCE_1</ref>(12),   \
        <ref kindref="member" refid="group__sdp_1ga5bc7f5b005bce15ff200442327892cad">SDP_ATTR_SEQUENCE_1</ref>(3),                                         \
            <ref kindref="member" refid="group__sdp_1gaf510c61aee0bca86aadd5e43d90c5a3e">SDP_ATTR_UUID16</ref>(UUID_PROTOCOL_L2CAP),                       \
        <ref kindref="member" refid="group__sdp_1ga5bc7f5b005bce15ff200442327892cad">SDP_ATTR_SEQUENCE_1</ref>(5),                                         \
            <ref kindref="member" refid="group__sdp_1gaf510c61aee0bca86aadd5e43d90c5a3e">SDP_ATTR_UUID16</ref>(UUID_PROTOCOL_RFCOMM),                      \
            <ref kindref="member" refid="group__sdp_1ga27252d8dcaa68b35af0de50f23097798">SDP_ATTR_VALUE_UINT1</ref>(scn)</initializer>
        <briefdescription>
<para>Protocol Descriptor List 0x0004 for RFCOMM. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="271" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="271" />
      </memberdef>
      <memberdef id="group__sdp_1ga1de15c403a531d294c3eacc6548392b5" kind="define" prot="public" static="no">
        <name>SDP_ATTR_BROWSE_LIST</name>
        <initializer><ref kindref="member" refid="group__sdp_1ga20be02d4fbd3d7fe2a7dfe7f244a4d2d">SDP_ATTR_ID</ref>(ATTR_ID_BROWSE_GROUP_LIST), <ref kindref="member" refid="group__sdp_1ga5bc7f5b005bce15ff200442327892cad">SDP_ATTR_SEQUENCE_1</ref>(3),     \
        <ref kindref="member" refid="group__sdp_1gaf510c61aee0bca86aadd5e43d90c5a3e">SDP_ATTR_UUID16</ref>(UUID_SERVCLASS_PUBLIC_BROWSE_GROUP)</initializer>
        <briefdescription>
<para>Browse Group List 0x0005. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="280" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="280" />
      </memberdef>
      <memberdef id="group__sdp_1gaee9eb29544a00ec1b0980c829d3eea40" kind="define" prot="public" static="no">
        <name>SDP_ATTR_LANGUAGE_BASE_ATTR_ID_LIST</name>
        <initializer><ref kindref="member" refid="group__sdp_1ga20be02d4fbd3d7fe2a7dfe7f244a4d2d">SDP_ATTR_ID</ref>(ATTR_ID_LANGUAGE_BASE_ATTR_ID_LIST), <ref kindref="member" refid="group__sdp_1ga5bc7f5b005bce15ff200442327892cad">SDP_ATTR_SEQUENCE_1</ref>(9),    \
       <ref kindref="member" refid="group__sdp_1gaacf725bfefb71cb163472097b68c1b27">SDP_ATTR_VALUE_UINT2</ref>(LANG_ID_CODE_ENGLISH),                              \
       <ref kindref="member" refid="group__sdp_1gaacf725bfefb71cb163472097b68c1b27">SDP_ATTR_VALUE_UINT2</ref>(LANG_ID_CHAR_ENCODE_UTF8),                          \
       <ref kindref="member" refid="group__sdp_1gaacf725bfefb71cb163472097b68c1b27">SDP_ATTR_VALUE_UINT2</ref>(LANGUAGE_BASE_ID)</initializer>
        <briefdescription>
<para>Language Base 0x0006. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="285" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="285" />
      </memberdef>
      <memberdef id="group__sdp_1ga731056739eb7ddf7192c4b87a19ee721" kind="define" prot="public" static="no">
        <name>SDP_ATTR_SERVICE_INFO_TIME_TO_LIVE</name>
        <param><defname>seconds</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga48251fbfb321c9a0835b3752e9479c7e">SDP_ATTR_UINT4</ref>(ATTR_ID_SERVICE_INFO_TIME_TO_LIVE, seconds)</initializer>
        <briefdescription>
<para>Service Info Time to Live 0x0007. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="292" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="292" />
      </memberdef>
      <memberdef id="group__sdp_1ga055f0df2d39b45ca3b4a363bae1ca739" kind="define" prot="public" static="no">
        <name>SDP_ATTR_SERVICE_AVAILABILITY</name>
        <param><defname>availability</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga916c7151e94d8c6b89aa166008eca675">SDP_ATTR_UINT1</ref>(ATTR_ID_SERVICE_AVAILABILITY, availability)</initializer>
        <briefdescription>
<para>Service Availability 0x0008. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="296" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="296" />
      </memberdef>
      <memberdef id="group__sdp_1ga9a50d98277c18bacc312ce25f46a7d77" kind="define" prot="public" static="no">
        <name>SDP_ATTR_PROFILE_DESC_LIST</name>
        <param><defname>uuid</defname></param>
        <param><defname>version</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga20be02d4fbd3d7fe2a7dfe7f244a4d2d">SDP_ATTR_ID</ref>(ATTR_ID_BT_PROFILE_DESC_LIST), <ref kindref="member" refid="group__sdp_1ga5bc7f5b005bce15ff200442327892cad">SDP_ATTR_SEQUENCE_1</ref>(8),  \
        <ref kindref="member" refid="group__sdp_1ga5bc7f5b005bce15ff200442327892cad">SDP_ATTR_SEQUENCE_1</ref>(6),                                         \
            <ref kindref="member" refid="group__sdp_1gaf510c61aee0bca86aadd5e43d90c5a3e">SDP_ATTR_UUID16</ref>(uuid),                                      \
            <ref kindref="member" refid="group__sdp_1gaacf725bfefb71cb163472097b68c1b27">SDP_ATTR_VALUE_UINT2</ref>(version)</initializer>
        <briefdescription>
<para>BT Profile Descriptor List 0x0009. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="300" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="300" />
      </memberdef>
      <memberdef id="group__sdp_1ga7b93747d5bf534679e8be7449da08083" kind="define" prot="public" static="no">
        <name>SDP_ATTR_DOCUMENTATION_URL</name>
        <param><defname>len</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga7c45daa37e98a6baab4d8874b89a66e1">SDP_ATTR_TEXT_1</ref>(ATTR_ID_DOCUMENTATION_URL, len)</initializer>
        <briefdescription>
<para>Documentation URL 0x000A. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="307" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="307" />
      </memberdef>
      <memberdef id="group__sdp_1gafdf672ee61feb7e28ad4a087dc74c3e8" kind="define" prot="public" static="no">
        <name>SDP_ATTR_CLIENT_EXECUTABLE_URL</name>
        <param><defname>len</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga7c45daa37e98a6baab4d8874b89a66e1">SDP_ATTR_TEXT_1</ref>(ATTR_ID_CLIENT_EXE_URL, len)</initializer>
        <briefdescription>
<para>Client Executable URL 0x000B. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="311" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="311" />
      </memberdef>
      <memberdef id="group__sdp_1ga1bf141e57be8c1c0e897dad85ff13c83" kind="define" prot="public" static="no">
        <name>SDP_ATTR_ICON_URL</name>
        <param><defname>len</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga7c45daa37e98a6baab4d8874b89a66e1">SDP_ATTR_TEXT_1</ref>(ATTR_ID_ICON_URL, len)</initializer>
        <briefdescription>
<para>Icon URL 0x000C. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="315" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="315" />
      </memberdef>
      <memberdef id="group__sdp_1ga086c20a0907bf2a59e3ed1ce64b40b9b" kind="define" prot="public" static="no">
        <name>SDP_ATTR_SERVICE_NAME</name>
        <param><defname>len</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga7c45daa37e98a6baab4d8874b89a66e1">SDP_ATTR_TEXT_1</ref>(ATTR_ID_SERVICE_NAME, len)</initializer>
        <briefdescription>
<para>Service Name LANGUAGE_BASE_ID (0x0100) + 0x0000 = 0x0100. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="319" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="319" />
      </memberdef>
      <memberdef id="group__sdp_1gae504f8eadbfd186e6ad2f3d110af5cd0" kind="define" prot="public" static="no">
        <name>SDP_ATTR_SERVICE_DESCRIPTION</name>
        <param><defname>len</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga7c45daa37e98a6baab4d8874b89a66e1">SDP_ATTR_TEXT_1</ref>(ATTR_ID_SERVICE_DESCRIPTION, len)</initializer>
        <briefdescription>
<para>Service Description LANGUAGE_BASE_ID (0x0100) + 0x0001 = 0x0101. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="324" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="324" />
      </memberdef>
      <memberdef id="group__sdp_1gac73bc82a713a58a67463d2663843cdb8" kind="define" prot="public" static="no">
        <name>SDP_ATTR_PROVIDER_NAME</name>
        <param><defname>len</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga7c45daa37e98a6baab4d8874b89a66e1">SDP_ATTR_TEXT_1</ref>(ATTR_ID_PROVIDER_NAME, len)</initializer>
        <briefdescription>
<para>Provider Name LANGUAGE_BASE_ID (0x0100) + 0x0002 = 0x0102. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="328" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="328" />
      </memberdef>
      <memberdef id="group__sdp_1gaf405057b65f7ae08b46ce919707d18d7" kind="define" prot="public" static="no">
        <name>SDP_ATTR_GROUP_ID</name>
        <param><defname>uuid</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga20be02d4fbd3d7fe2a7dfe7f244a4d2d">SDP_ATTR_ID</ref>(ATTR_ID_GROUP_ID),                                  \
        <ref kindref="member" refid="group__sdp_1gaf510c61aee0bca86aadd5e43d90c5a3e">SDP_ATTR_UUID16</ref>(uuid)</initializer>
        <briefdescription>
<para>Group ID 0x0200. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="332" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="332" />
      </memberdef>
      <memberdef id="group__sdp_1ga230ae41ba76250c3a705a9516878321a" kind="define" prot="public" static="no">
        <name>SDP_ATTR_VERSION_NUMBER_LIST</name>
        <param><defname>version</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1gaca22cff050ffaef75613267bebe0859e">SDP_ATTR_UINT2</ref>(ATTR_ID_SPECIFICATION_ID, version)</initializer>
        <briefdescription>
<para>Version Number List 0x0200. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="338" column="10" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="338" />
      </memberdef>
      <memberdef id="group__sdp_1gacf2d7283d2a046a74127793457aab54f" kind="define" prot="public" static="no">
        <name>SDP_ATTR_SERVICE_DATABASE_STATE</name>
        <param><defname>state</defname></param>
        <initializer><ref kindref="member" refid="group__sdp_1ga48251fbfb321c9a0835b3752e9479c7e">SDP_ATTR_UINT4</ref>(ATTR_ID_VENDOR_ID, state)</initializer>
        <briefdescription>
<para>Service Database State 0x0201. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="348" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="348" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The Service Discovery Protocol (SDP) allows a device to discover services offered by other devices, and their associated parameters. </para>
    </briefdescription>
    <detaileddescription>
<para>For example, when you use a mobile phone with a Bluetooth headset, the phone uses SDP to determine which Bluetooth profiles the headset can use (Headset Profile, Hands Free Profile, Advanced Audio Distribution Profile (A2DP) etc.) and the protocol multiplexer settings needed for the phone to connect to the headset using each of them. Each service is identified by a Universally Unique Identifier (UUID), with official services (Bluetooth profiles) assigned a short form UUID (16 bits rather than the full 128). </para>
    </detaileddescription>
  </compounddef>
</doxygen>